APT-CONFIG(8)

NOME
apt-config - Programa de Consulta de Configuração do APT

SINOPSE

apt-config [--empty] [--format '%f "%v";%n'] [-o=config_string] [-c=ficheiro_de_configuração] {shell | dump | {-v | --version} | {-h | --help}}

DESCRIÇÃO

apt-config é um programa interno usado por várias partes da suite APT para fornecer uma configurabilidade consistente. Acede ao ficheiro de configuração principal /etc/apt/apt.conf de um modo que é fácil de usar para aplicações em script.

A menos que a opção -h, ou --help seja fornecida, um dos comandos abaixo têm que estar presentes.

shell
    shell é usado para aceder à informação de configuração a partir de um script shell. É fornecido pares de argumentos, sendo o primeiro uma variável de shell e o segundo o valor de configuração a consultar. Como resultado cria uma lista de comandos atribuídos a shell para cada valor presente. Num script shell deverá ser usado como se segue:

        OPTS="-f"
        RES=`apt-config shell OPTS MyApp::options`
        eval $RES
    Isto irá definir a variável de ambiente shell $OPTS ao valor de MyApp::options com uma predefinição de -f.

    O item de configuração pode ser pós-fixado com um /[fdbi]. f devolve nomes de ficheiros, d devolve directórios, b devolve verdadeiro ou falso e i devolve um número inteiro. Cada um dos valores devolvidos é normalizado e verificado internamente.

dump
    Apenas mostra o conteúdo do espaço de configuração.

OPÇÕES

Todas as opções de linha de comandos podem ser definidas usando o ficheiro de configuração, as descrições indicam a opção de configuração a definir. Para opções booleanas você pode sobre por o ficheiro de configuração usando algo como -f-,--no-f, -f=no ou várias outras variantes.

--empty
    Inclui opções que têm um valor vazio. Isto é a predefinição, então use --no-empty para remove-las dos resultados.

--format '%f "%v";%n'
    Define a saída de cada opção de configuração. %t irá ser substituído com o seu nome individual, %f com o seu nome hierárquico e %v com o seu valor. O uso de letras maiúsculas e caracteres especiais no valor será codificado para assegurar que pode, por exemplo, ser usado em segurança numa string citada como definido por RFC822. Adicionalmente %n será substituído por uma nova linha, e %N por um separador. Um % pode ser escrito ao usar %%.

-h, --help
    Mostra um sumário curto da utilização.

-v, --version
    Mostra a versão do programa.

-c, --config-file
    Ficheiro de Configuração; Especifica o ficheiro de configuração a usar. O programa irá ler o ficheiro de configuração predefinido e depois este ficheiro de configuração. Se as definições de configuração precisarem de ser definidas antes, os ficheiros de configuração predefinidos são analisados especificando um ficheiro com a variável de ambiente APT_CONFIG. Veja apt.conf(5) para informação de sintaxe.

-o, --option
    Define uma Opção de Configuração; Isto irá definir uma opção de configuração arbitrária. A sintaxe é -o Foo::Bar=bar. -o e --option podem ser usadas várias vezes para definir opções diferentes.

VEJA TAMBÉM

apt.conf(5)

DIAGNÓSTICO

apt-config devolve zero em operação normal, 100 decimal em erro.

BUGS

página de bugs do APT[1]. Se deseja reportar um bug no APT, por favor veja /usr/share/doc/debian/bug-reporting.txt ou o comando reportbug(1).

TRADUÇÃO

A tradução Portuguesa foi feita por Américo Monteiro <a_monteiro@netcabo.pt> de 2009 a 2012. A tradução foi revista pela equipa de traduções portuguesas da Debian <traduz@debianpt.org>.

Note que este documento traduzido pode conter partes não traduzidas. Isto é feito propositadamente, para evitar perdas de conteúdo quando a tradução está atrasada relativamente ao conteúdo original.

AUTORES

Jason Gunthorpe

Equipa do APT

NOTAS

1.  página de bugs do APT
    http://bugs.debian.org/src:apt